<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <link rel="stylesheet" href="style.css" />
        <script type="text/javascript">
            /*    
            @licstart  The following is the entire license notice for the 
            JavaScript code in this page.
    
            Copyright (C) 2020 Moulinux
    
            The JavaScript code in this page is free software: you can
            redistribute it and/or modify it under the terms of the GNU
            General Public License (GNU GPL) as published by the Free Software
            Foundation, either version 3 of the License, or (at your option)
            any later version.  The code is distributed WITHOUT ANY WARRANTY;
            without even the implied warranty of MERCHANTABILITY or FITNESS
            FOR A PARTICULAR PURPOSE.  See the GNU GPL for more details.
    
            As additional permission under GNU GPL version 3 section 7, you
            may distribute non-source (e.g., minimized or compacted) forms of
            that code without the copy of the GNU GPL normally required by
            section 4, provided you include this license notice and a URL
            through which recipients can access the Corresponding Source.   
    
    
            @licend  The above is the entire license notice
            for the JavaScript code in this page.
            */
            const TRAIN = [14.62, 9.26];
            const ENTETE_1 = "Calculette Eco-déplacements";
            const ENTETE_2 = `Calculez l'impact de vos déplacements quotidiens
            sur l'environnement et vos dépenses`;
            const DISTANCE = "Quelle est la distance entre le domicile et le lieu de travail ?";
            const DOMICILE_1 = "J'habite à ";
            const DOMICILE_2 = " km de mon travail.";
            const ENTETE_COUT = ["kg eq. CO2", "l eq. pétrole"]; 
            let km = 10;
            
            document.write("<title>", ENTETE_1, "</title>");
        </script>
    </head>
    
    <body>
        <div id="bloc_page">
            <header>
                <div id="logo">
                    <img src="images/logo-tux.png" alt="Logo de Tux" />
                </div>
                <div id="en_tete">
                <script type="text/javascript">
                    document.write("<h1>", ENTETE_1, "</h1>");
                    document.write("<h2>", ENTETE_2, "</h2>");
                </script>
                </div>
            </header>
            
            <section>
                <article>
                    <script type="text/javascript">
                        let domicile = DOMICILE_1 + km + DOMICILE_2;
                        document.write("<p>", domicile, "</p>");
                    </script>
                    <div id="table">
                        <div class="row">
                            <script type="text/javascript">
                                for (i in ENTETE_COUT) {
                                    document.write('<div class="cell"><strong>', ENTETE_COUT[i], '</strong></div>');
                                }
                            </script>
                        </div>
                        <div class="row">
                            <script type="text/javascript">
                                for (i in TRAIN) {
                                    document.write('<div class="cell">', Math.round(TRAIN[i]*km*100)/100, '</div>');
                                }                                
                            </script>
                        </div>
                    </div>
                </article>
                <aside>
                    <h1>À propos</h1>
                    <img src="images/bulle.png" alt="" id="fleche_bulle" />
                    <p>Cette application a été réalisée par rétro-conception de la calculette de l'<a href="http://quizz.ademe.fr/eco-deplacements/calculette/calculette.html" target="_blank">Ademe</a>.</p>
                    <p>Elle est disponible en licence libre en version ligne de commandes, graphique (Tkinter) et web.</p>
                </aside>
            </section>
            
            <footer>
                <p>
                    Copyright Moulinux, Copyleft Moulinux, <a href="http://www.gnu.org/licenses/gpl-3.0.html" target="_blank">Licence GPLv3</a>
                </p>
            </footer>
        </div>
    </body>
</html>
